Public Class HistoricoConcursoPostulanteBusinessObject
    Inherits BusinessObject(Of HistoricoConcursoPostulante)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New HistoricoConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal entity As HistoricoConcursoPostulante)
        MyBase.New(entity)
        DbHelper = New HistoricoConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal idHistoricoConcursoPostulante As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idHistoricoConcursoPostulante = idHistoricoConcursoPostulante
        Dim Entity_Aux As HistoricoConcursoPostulante = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As HistoricoConcursoPostulanteBusinessObject
    Protected Shared Function GetDdHelperInstance() As HistoricoConcursoPostulanteDbHelper
        If _Instance Is Nothing Then
            _Instance = New HistoricoConcursoPostulanteBusinessObject
        End If
    Return CType(_Instance.DbHelper, HistoricoConcursoPostulanteDbHelper)
    End Function

    Public Shared Function GetListHistoricoConcursoPostulante(Optional ByVal foreignLevel As Integer=0) As EntityList(Of HistoricoConcursoPostulante)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListHistoricoConcursoPostulanteByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of HistoricoConcursoPostulante)
        Return GetDdHelperInstance.GetListHistoricoConcursoPostulanteByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
